m3ua_data_hdr Struct Reference

`#include <m3ua.h>`

## Data Fields

uint32_t | opc
uint32_t | dpc
uint8_t | si
uint8_t | ni
uint8_t | mp
uint8_t | sls

## Field Documentation

## dpc

uint32_t m3ua_data_hdr::dpc

Referenced by ipa_rx_msg_sccp(), m3ua_dh_to_xfer_param(), and mtp_xfer_param_to_m3ua_dh().

## mp

uint8_t m3ua_data_hdr::mp

Referenced by m3ua_dh_to_xfer_param(), and mtp_xfer_param_to_m3ua_dh().

## ni

uint8_t m3ua_data_hdr::ni

Referenced by m3ua_dh_to_xfer_param(), and mtp_xfer_param_to_m3ua_dh().

## opc

uint32_t m3ua_data_hdr::opc

Referenced by ipa_rx_msg_sccp(), m3ua_dh_to_xfer_param(), and mtp_xfer_param_to_m3ua_dh().

## si

uint8_t m3ua_data_hdr::si

Referenced by hmdt_message_for_distribution(), ipa_rx_msg_sccp(), m3ua_dh_to_xfer_param(), and mtp_xfer_param_to_m3ua_dh().

## sls

uint8_t m3ua_data_hdr::sls

Referenced by m3ua_dh_to_xfer_param(), and mtp_xfer_param_to_m3ua_dh().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/protocol/m3ua.h